import request from "@/utils/request";

// 查询计划管理列表
export function listManage(query) {
  return request({
    url: "/system/manage/list",
    method: "get",
    params: query,
  });
}

// 查询计划管理详细
export function getManage(id) {
  return request({
    url: "/system/manage/" + id,
    method: "get",
  });
}

// 新增计划管理
export function addManage(data) {
  return request({
    url: "/system/manage",
    method: "post",
    data: data,
  });
}

// 修改计划管理
export function updateManage(data) {
  return request({
    url: "/system/manage",
    method: "put",
    data: data,
  });
}

// 删除计划管理
export function delManage(id) {
  return request({
    url: "/system/manage/" + id,
    method: "delete",
  });
}

// 下载模板 /system/manage/exportTemplate
export function exportTemplate(data) {
  return request({
    url: `/system/manage/exportTemplate`,
    method: 'get',
    params: data
  })
}
